norm_coords {igraph} | R Documentation

## Normalize coordinates for plotting graphs

### Description

Rescale coordinates linearly to be within given bounds.

### Usage

    norm_coords(layout, xmin = -1, xmax = 1, ymin = -1, ymax = 1,
      zmin = -1, zmax = 1)

### Arguments

`layout` | A matrix with two or three columns, the layout to normalize.
`xmin,xmax` | The limits for the first coordinate, if one of them or both are `NULL` then no normalization is performed along this direction.
`ymin,ymax` | The limits for the second coordinate, if one of them or both are `NULL` then no normalization is performed along this direction.
`zmin,zmax` | The limits for the third coordinate, if one of them or both are `NULL` then no normalization is performed along this direction.

### Details

`norm_coords` normalizes a layout, it linearly transforms each coordinate separately to fit into the given limits.

### Value

A numeric matrix with at the same dimension as `layout`.

### Author(s)

Gabor Csardi csardi.gabor@gmail.com

### See Also

Other graph layouts: `add_layout_`; `as_bipartite`, `layout.bipartite`, `layout_as_bipartite`; `as_star`, `layout.star`, `layout_as_star`; `as_tree`, `layout_as_tree`; `component_wise`; `in_circle`, `layout_in_circle`; `layout.auto`, `layout_nicely`, `nicely`; `layout.davidson.harel`, `layout_with_dh`, `with_dh`; `layout.gem`, `layout_with_gem`, `with_gem`; `layout.graphopt`, `layout_with_graphopt`, `with_graphopt`; `layout.grid`, `layout.grid.3d`, `layout.grid.3d`, `layout_on_grid`, `on_grid`; `layout.mds`, `layout_with_mds`, `with_mds`; `layout.merge`, `layout_components`, `merge_coords`, `piecewise.layout`, `piecewise.layout`; `layout.sugiyama`, `layout_with_sugiyama`, `with_sugiyama`; `layout_on_sphere`, `on_sphere`; `layout_randomly`, `randomly`; `layout_with_fr`, `with_fr`; `layout_with_kk`, `with_kk`; `layout_with_lgl`, `with_lgl`; `layout`, `layout_`, `print.igraph_layout_modifier`, `print.igraph_layout_spec`; `normalize`

[Package igraph version 1.0.1 Index]